VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Namespaces | Functions
editorhost.cpp File Reference
`#include "public.sdk/samples/vst-hosting/editorhost/source/editorhost.h"`
`#include "public.sdk/samples/vst-hosting/editorhost/source/platform/appinit.h"`
`#include "base/source/fcommandline.h"`
`#include "base/source/fdebug.h"`
`#include "pluginterfaces/base/funknown.h"`
`#include "pluginterfaces/gui/iplugview.h"`
`#include "pluginterfaces/gui/iplugviewcontentscalesupport.h"`
`#include "pluginterfaces/vst/ivstaudioprocessor.h"`
`#include "pluginterfaces/vst/ivsteditcontroller.h"`
`#include "pluginterfaces/vst/vsttypes.h"`
`#include <cstdio>`
`#include <iostream>`

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
namespace | Steinberg::Vst::EditorHost

## Functions
bool | operator== (const ViewRect &r1, const ViewRect &r2)
bool | operator!= (const ViewRect &r1, const ViewRect &r2)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.